Bug 983208 - [abrt] python-ipython-console-0.13.2-1.fc18: importstring.py:40:import_item:ImportError: No module named qt.console.qtconsoleapp
[abrt] python-ipython-console-0.13.2-1.fc18: importstring.py:40:import_item:I...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ipython (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
abrt_hash:c5d89f2351bf47e89ffb6d3f582...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 13:28 EDT by Dean Hunter
Modified: 2014-02-05 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:06:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.17 KB, text/plain)
2013-07-10 13:28 EDT, Dean Hunter
no flags Details
File: core_backtrace (1.59 KB, text/plain)
2013-07-10 13:28 EDT, Dean Hunter
no flags Details
File: environ (2.03 KB, text/plain)
2013-07-10 13:28 EDT, Dean Hunter
no flags Details

  None (edit)
Description Dean Hunter 2013-07-10 13:28:50 EDT
Description of problem:
ipython help qtconsole

Version-Release number of selected component:
python-ipython-console-0.13.2-1.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /bin/ipython help qtconsole
executable:     /bin/ipython
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
importstring.py:40:import_item:ImportError: No module named qt.console.qtconsoleapp

Traceback (most recent call last):
  File "/bin/ipython", line 7, in <module>
    launch_new_instance()
  File "/usr/lib/python2.7/site-packages/IPython/frontend/terminal/ipapp.py", line 388, in launch_new_instance
    app.initialize()
  File "<string>", line 2, in initialize
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/IPython/frontend/terminal/ipapp.py", line 313, in initialize
    super(TerminalIPythonApp, self).initialize(argv)
  File "<string>", line 2, in initialize
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/IPython/core/application.py", line 325, in initialize
    self.parse_command_line(argv)
  File "/usr/lib/python2.7/site-packages/IPython/frontend/terminal/ipapp.py", line 308, in parse_command_line
    return super(TerminalIPythonApp, self).parse_command_line(argv)
  File "<string>", line 2, in parse_command_line
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 420, in parse_command_line
    return self.initialize_subcommand(subc, subargv)
  File "<string>", line 2, in initialize_subcommand
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 352, in initialize_subcommand
    subapp = import_item(subapp)
  File "/usr/lib/python2.7/site-packages/IPython/utils/importstring.py", line 40, in import_item
    module = __import__(package,fromlist=[obj])
ImportError: No module named qt.console.qtconsoleapp

Local variables in innermost frame:
obj: 'IPythonQtConsoleApp'
name: 'IPython.frontend.qt.console.qtconsoleapp.IPythonQtConsoleApp'
package: 'IPython.frontend.qt.console.qtconsoleapp'

Potential duplicate: bug 770462
Comment 1 Dean Hunter 2013-07-10 13:28:54 EDT
Created attachment 771749 [details]
File: backtrace
Comment 2 Dean Hunter 2013-07-10 13:28:56 EDT
Created attachment 771750 [details]
File: core_backtrace
Comment 3 Dean Hunter 2013-07-10 13:28:59 EDT
Created attachment 771751 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 09:17:58 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:06:16 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.